Rename

Beta: Rename a slot document

post

Update the display name of a document attached to a slot. Renames are rejected on cancelled slots. Renaming to the same name is a no-op (no history event recorded). Returns the updated document.

Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
site-slugstringRequired

The slug identifier of the site

slot-uidstringRequired

The unique identifier of the slot

doc-uidstringRequired

The unique identifier of the document

Body
namestring Β· max: 255Required

The new display name (1 to 255 characters, trimmed).

Responses
chevron-right
200

Document renamed successfully

application/json
uidstringRequired

Unique identifier for the document

slot_uidstringRequired

Unique identifier of the slot the document is attached to

namestringRequired

Display name of the document

filestring Β· uriRequired

URL of the uploaded file

file_sizeintegerRequired

File size in bytes

createdstring Β· date-timeRequired

Upload timestamp in ISO 8601 format

post
/flow/sites/{site-slug}/slots/{slot-uid}/documents/{doc-uid}/rename/

Last updated

Was this helpful?